### Virtual Method

# RB RhythmDB entry_extra_metadata_notify

#### Declaration [src]

    void
    entry_extra_metadata_notify (
      RhythmDB* db,
      RhythmDBEntry* entry,
      const char* field,
      GValue* metadata
    )

#### Description

No description available.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  No description available.

  The data is owned by the caller of the method.

`field`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`metadata`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the method.